/*
 * A4JRepeatItemTestBean.java		Date created: 24.06.2008
 * Last modified by: $Author: alevkovsky $
 * $Revision: 9226 $	$Date: 2008-06-25 18:46:05 +0300 $
 */

package org.ajax4jsf.bean;

/**
 * TODO Class description goes here.
 * @author Alexandr Levkovsky
 *
 */
public class A4JRepeatItemTestBean {

    private Integer number;

    private Integer output;
    
    private Integer input;
    
    private Integer rerenderedChangeCounter;
    
    private Integer notRerenderedChangeCounter;

    A4JRepeatItemTestBean(Integer index) {
	this.number = index;
	this.input = index;
	this.output = index;
	this.rerenderedChangeCounter = 0;
	this.notRerenderedChangeCounter = 0;
    }

    /**
     * @return the number
     */
    public Integer getNumber() {
	return number;
    }

    /**
     * @param number the number to set
     */
    public void setNumber(Integer number) {
	this.number = number;
    }

    /**
     * @return the output
     */
    public Integer getOutput() {
	return output;
    }

    /**
     * @param output the output to set
     */
    public void setOutput(Integer output) {
	this.output = output;
    }

    /**
     * @return the input
     */
    public Integer getInput() {
        return input;
    }

    /**
     * @param input the input to set
     */
    public void setInput(Integer input) {
        this.input = input;
    }

    /**
     * @return the rerenderedChangeCounter
     */
    public Integer getRerenderedChangeCounter() {
        return rerenderedChangeCounter;
    }

    /**
     * @param rerenderedChangeCounter the rerenderedChangeCounter to set
     */
    public void setRerenderedChangeCounter(Integer rerenderedChangeCounter) {
        this.rerenderedChangeCounter = rerenderedChangeCounter;
    }

    /**
     * @return the notRerenderedChangeCounter
     */
    public Integer getNotRerenderedChangeCounter() {
        return notRerenderedChangeCounter;
    }

    /**
     * @param notRerenderedChangeCounter the notRerenderedChangeCounter to set
     */
    public void setNotRerenderedChangeCounter(Integer notRerenderedChangeCounter) {
        this.notRerenderedChangeCounter = notRerenderedChangeCounter;
    }
    
    

}
